# Result::getGeneratedIds

(No version information available, might only be in Git)

Result::getGeneratedIds — Get generated ids

### Description

public mysql_xdevapi\Result::getGeneratedIds ( void ) : array

Fetch the generated _id values from the last operation. The unique _id field is generated by the MySQL server.

### Parameters

This function has no parameters.

### Return Values

An array of generated _id's from the last operation, or an empty array if there are none.

### Examples

Example #1 mysql_xdevapi\Result::getGeneratedIds() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
$session->sql("CREATE DATABASE addressbook")->execute();
$schema = $session->getSchema("addressbook");
$create = $schema->createCollection("people");
$collection = $schema->getCollection("people");
$result = $collection->add(
'{"name": "Bernie",
"jobs": [{"title":"Cat Herder","Salary":42000}, {"title":"Father","Salary":0}],
"hobbies": ["Sports","Making cupcakes"]}',
'{"name": "Jane",
"jobs": [{"title":"Scientist","Salary":18000}, {"title":"Mother","Salary":0}],
"hobbies": ["Walking","Making pies"]}')->execute();
$ids = $result->getGeneratedIds();
var_dump($ids);
?>`

The above example will output something similar to:

    array(2) {
      [0]=>
      string(28) "00005b6b53610000000000000064"
      [1]=>
      string(28) "00005b6b53610000000000000065"
    }